'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _request = require('request');

var _request2 = _interopRequireDefault(_request);

var _q = require('q');

var _q2 = _interopRequireDefault(_q);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function (host, environment) {
    var request = _request2.default.defaults({
        baseUrl: host + '/api/v1/node/' + environment + '/'
    });

    var call = function call(options) {
        var deferred = _q2.default.defer();

        request(options, function (error, httpResponse, response) {
            if (error) {
                deferred.reject(new Error(error));
            } else {
                deferred.resolve(response, httpResponse);
            }
        });
        return deferred.promise;
    };

    return {
        connect: function connect() {
            return call({ url: '/connect', method: 'POST', json: true });
        },
        disconnect: function disconnect() {
            return call({ url: '/disconnect', method: 'POST' });
        },
        send: function send(text) {
            return call({ url: '/sendtext', method: 'POST', json: { text: text } });
        },
        click: function click(button) {
            return call({ url: '/clickbutton', method: 'POST', json: { button: button } });
        }
    };
};